diff -urN fltk-1.1.6.orig/src/Fl_win32.cxx fltk-1.1.6/src/Fl_win32.cxx
--- fltk-1.1.6.orig/src/Fl_win32.cxx	2004-10-19 14:21:52.000000000 -0400
+++ fltk-1.1.6/src/Fl_win32.cxx	2005-07-06 12:59:51.402222100 -0400
@@ -323,34 +325,22 @@
 
 int Fl::x()
 {
-  RECT r;
-
-  SystemParametersInfo(SPI_GETWORKAREA, 0, &r, 0);
-  return r.left;
+  return GetSystemMetrics(SM_XVIRTUALSCREEN);
 }
 
 int Fl::y()
 {
-  RECT r;
-
-  SystemParametersInfo(SPI_GETWORKAREA, 0, &r, 0);
-  return r.top;
+  return GetSystemMetrics(SM_YVIRTUALSCREEN);
 }
 
 int Fl::h()
 {
-  RECT r;
-
-  SystemParametersInfo(SPI_GETWORKAREA, 0, &r, 0);
-  return r.bottom - r.top;
+  return GetSystemMetrics(SM_CYVIRTUALSCREEN);
 }
 
 int Fl::w()
 {
-  RECT r;
-
-  SystemParametersInfo(SPI_GETWORKAREA, 0, &r, 0);
-  return r.right - r.left;
+  return GetSystemMetrics(SM_CXVIRTUALSCREEN);
 }
 
 void Fl::get_mouse(int &x, int &y) {
